Docs
Analytics

Per-item stats for a content type

GET/analytics/summaryNeedsanalytics.view

Items with no events in the window are absent (treat as zeros).

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Query Parameters

type*string

Content type.

Value in"tour""tooltip""banner""checklist""survey""announcement"
days?integer

Time window in days.

Default30
Value in73090

Response Body

OK

application/json
  1. response
stats*

Keyed by content id.

Shell
curl -X GET 'https://app.cueston.com/api/analytics/summary?type=tour'
Example Response
JSON
{
  "stats": {
    "property1": {
      "impressions": 1840,
      "completions": 412,
      "completionRate": 0.42
    },
    "property2": {
      "impressions": 1840,
      "completions": 412,
      "completionRate": 0.42
    }
  }
}